#! /usr/bin/env python

"""
SYNOPSIS
    Asset Groups Listing.

    This file is part of Tartan Systems (TARTAN).

AUTHOR
    Written by Paul Malherbe, <paul@tartan.co.za>

COPYING
    Copyright (C) 2004-2012 Paul Malherbe. Free use of this software is
    granted under the terms of the GNU General Public License (GPL) as
    published by the Free Software Foundation, either version 2 of the
    License, or (at your option) any later version.

    TARTAN is distributed in the hope that it will be useful, but WITHOUT
    ANY WARRANTY, without even the implied warranty of MERCHANTABILITY or
    FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
    for more details.

    You should have received a copy of the GNU General Public License along
    with TARTAN, if not, write to the Free Software Foundation, Inc.,
    59 Temple Place, Suite 330, Boston, MA  02111-1307  USA or view/download
    it at http://www.gnu.org/licenses/gpl.txt
"""

import time
from TartanClasses import RepPrt, TartanDialog

class arc320:
    def __init__(self, mf, coy, nam):
        self.mf = mf
        self.conum = coy
        self.conam = nam
        self.setVariables()
        self.mainProcess()
        self.mf.startLoop()

    def setVariables(self):
        t = time.localtime()
        self.sysdtw = (t[0] * 10000) + (t[1] * 100) + t[2]
        self.sysdttm = "(Printed on: %i/%02i/%02i at %02i:%02i)" % \
            (t[0], t[1], t[2], t[3], t[4])

    def mainProcess(self):
        tit = ("%03i %s" % (self.conum, self.conam),
            "Asset Groups Master Listing (%s)" % __name__)
        r1s = (("Yes","Y"),("No","N"))
        tnd = ((self.doEnd,"Y"), )
        txt = (self.closeProcess, )
        self.df = TartanDialog(self.mf, title=tit, eflds=[], tend=tnd,
            txit=txt, view=("Y","V"))

    def doEnd(self):
        tables = ["assgrp"]
        heads = ["Asset Groups Master Listing"]
        col = [["asg_group","UA",3.0,"Grp"],
                ["asg_desc","NA",30.0,"Description"],
                ["asg_assacc","UI",7.0,"Ass-Acc"],
                ["asg_depacc","UI",7.0,"Dep-Acc"],
                ["asg_expacc","UI",7.0,"Exp-Acc"]]
        whr = [("asg_cono", "=", self.conum)]
        ord = "asg_group"
        state = self.df.disableButtons()
        rp = RepPrt(self.mf, name=__name__, tables=tables, heads=heads,
            cols=col, order=ord, where=whr, conum=self.conum, conam=self.conam,
            view=self.df.repprt[0][1], prtnam=self.df.repprt[0][2])
        self.df.enableButtons(state=state)
        self.closeProcess()

    def closeProcess(self):
        self.df.closeProcess()
        self.mf.closeLoop()
