#! /usr/bin/python

"""
SYNOPSIS
    General Ledger Chart Of Accounts.

    This file is part of Tartan Systems (TARTAN).

AUTHOR
    Written by Paul Malherbe, <paul@tartan.co.za>

COPYING
    Copyright (C) 2004-2012 Paul Malherbe. Free use of this software is
    granted under the terms of the GNU General Public License (GPL) as
    published by the Free Software Foundation, either version 2 of the
    License, or (at your option) any later version.

    TARTAN is distributed in the hope that it will be useful, but WITHOUT
    ANY WARRANTY, without even the implied warranty of MERCHANTABILITY or
    FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
    for more details.

    You should have received a copy of the GNU General Public License along
    with TARTAN, if not, write to the Free Software Foundation, Inc.,
    59 Temple Place, Suite 330, Boston, MA  02111-1307  USA or view/download
    it at http://www.gnu.org/licenses/gpl.txt
"""

from TartanClasses import RepPrt, TartanDialog

class gl3060:
    def __init__(self, mf, coy, nam):
        self.mf = mf
        self.conum = coy
        self.conam = nam
        self.setVariables()
        self.mainProcess()
        self.mf.startLoop()

    def setVariables(self):
        pass

    def mainProcess(self):
        self.tit = ("%03i %s" % (self.conum, self.conam),
            "General Ledger Chart of Accounts (%s)" % __name__)
        r1s = (("Numb","N"),("Desc","D"),("Type/Numb","A"),("Type/Desc","B"))
        r2s = (("Yes","Y"), ("No","N"))
        fld = (
            (("T",0,0,0),("IRB",r1s),1,"Sort Order","Sort Order",
                "N","Y",self.doSortOrd,None,None,None),)
        tnd = ((self.doEnd,"y"), )
        txt = (self.doExit, )
        self.df = TartanDialog(self.mf, title=self.tit, eflds=fld, tend=tnd,
            txit=txt, view=("Y","V"), mail=("Y","N"))

    def doSortOrd(self, frt, pag, r, c, p, i, w):
        self.sort = w

    def doEnd(self):
        self.df.closeProcess()
        col = ["glm_acno", "glm_type", "glm_desc", "glm_ind", "glm_vat"]
        whr = [("glm_cono", "=", self.conum)]
        if self.sort == "N":
            ord = "glm_acno"
        elif self.sort == "A":
            ord = "glm_type, glm_acno"
        elif self.sort == "B":
            ord = "glm_type, glm_desc"
        else:
            ord = "glm_desc"
        rpt = RepPrt(self.mf, conum=self.conum, conam=self.conam, name=__name__,
            tables=["genmst"], heads=["General Ledger Chart of Accounts"],
            cols=col, where=whr, order=ord, view=self.df.repprt[0][1],
            prtnam=self.df.repprt[0][2], mail=self.df.repprt[1][2])
        self.closeProcess()

    def doExit(self):
        self.df.closeProcess()
        self.closeProcess()

    def closeProcess(self):
        self.mf.closeLoop()

