"""
Module Types
------------
F     = Function
P1234 = Program where:
        1 = Company Number (Y/N)
        2 = Period Selection (Y/N/L) (L = Last Period)
        3 = Pass User Name to Module
CY  = System Command requiring a terminal session
CN  = System Command not requiring a terminal session
S   = A standard callable python class
U   = A Program without normal arguments only username.

Security Levels
---------------
0 - Enquiries Only
1 - + Reporting
2 - + Data Capture
3 - + File Maintenance
4 - + Month and Year End Routines
5 - + Control Routines
6 - + Financial Year End Routine
7 - + User and Module Pasword Maintenance
9 - Everything
"""

# Systems
systems = [
    ["ms", "Control Routines"],
    ["gl", "General Ledger"],
    ["cr", "Creditor's Ledger"],
    ["dr", "Debtor's Ledger"],
    ["st", "Store's Ledger"],
    ["si", "Sales Invoicing"],
    ["ar", "Asset's Register"],
    ["ml", "Member's Ledger"],
    ["rt", "Rental's Ledger (Basic)"],
    ["rc", "Rental's Ledger (Extended)"],
    ["wg", "Salaries & Wages"],
    ["sl", "Staff Loans"],
    ["bc", "Bowls Clubs"],
    ["rp", "Reporting Tools"]]

# Control Routines
msmen = [
    ["MM","mm_sy","System"],
    ["MM","mm_ms","Control"],
    ["MM","mm_gl","General\nLedger"],
    ["MM","mm_cr","Creditor's\nLedger"],
    ["MM","mm_dr","Debtor's\nLedger"],
    ["MM","mm_st","Store's\nLedger"],
    ["MM","mm_si","Sales\nInvoicing"],
    ["MM","mm_ar","Asset's\nRegister"],
    ["MM","mm_ml","Member's\nLedger"],
    ["MM","mm_rt","Rental's\nLedger"],
    ["MM","mm_rc","Rental's\nLedger"],
    ["MM","mm_wg","Salaries\n& Wages"],
    ["MM","mm_sl","Staff\nLoans"],
    ["MM","mm_bc","Bowls\nClubs"],
    ["MM","mm_uy","Utilities"],
    ["MM","mm_hp","Help","right"]]
msmod = [
    ["F","mm_sy","chgUsr",0,"Change User"],
    ["F","mm_sy","chgPwd",0,"Change Password"],
    ["F","mm_sy","tarUsr",7,"User's Maintenance"],
    ["F","mm_sy","sysUpd",0,"Upgrade System"],
    ["F","mm_sy","tarUpd",5,"Update File Formats"],
    ["PNNN","mm_sy","tb1040",9,"Copy Tables"],
    ["F","mm_sy","tarBck",0,"Backup Database"],
    ["F","mm_sy","tarRes",5,"Restore Database"],
    ["F","mm_sy","tarCfg",0,"Preferences"],
    ["F","mm_sy","sysEnd",0,"Quit"],
    ["PNNY","mm_ms","msc110",7,"System Record Maintenance"],
    ["PNNY","mm_ms","ms1010",5,"Company Records Maintenance"],
    ["PNNN","mm_ms","ms1020",7,"Module Passwords Maintenance"],
    ["PNNN","mm_ms","ms3020",7,"Module Passwords Listing"],
    ["PYNY","mm_ms","ms1030",3,"V.A.T. Records Maintenance"],
    ["PYNN","mm_ms","ms3010",3,"V.A.T. Statement"],
    ["PNNN","mm_ms","ms3030",3,"Email Log Report"],
    ["PYYN","mm_ms","msy010",6,"Financial Year End Routine"],
    ["PYYN","mm_ms","msy020",6,"Change Year End Date"],
    ["PNNY","mm_uy","rp1010",2,"Report Generator"],
    ["PYNN","mm_uy","bm1010",0,"Bulk Mail/SMS Utility"],
    ["PNNY","mm_uy","td1010",0,"Telephone Directory"],
    ["PNNN","mm_uy","fc1010",0,"Loan/Lease Calculator"],
    ["PNNN","mm_uy","pw1010",0,"Server User Maintenance"],
    ["PNNY","mm_uy","pm1010",0,"Personal Password Manager"],
    ["F","mm_uy","showCal",0,"Calendar"],
    ["F","mm_hp","doAbout",0,"About"],
    ["F","mm_hp","doManual",0,"Manual"]]

# General Ledger Routines
glmen = [
    ["CM","mm_gl","gl_fm","File Maintenance"],
    ["CM","mm_gl","gl_dc","Data Capture"],
    ["CM","mm_gl","gl_rp","Reporting"],
    ["CM","mm_gl","gl_tb","Toolbox"],
    ["CM","mm_gl","gl_qy","Interrogation"]]
glmod = [
    ["PYNY","gl_fm","glc110",5,"Control Record"],
    ["PYNY","gl_fm","gl1010",3,"Masterfile Records"],
    ["PYNN","gl_fm","glc210",5,"Control Accounts"],
    ["PYNN","gl_fm","glc310",5,"Inter Company Records"],
    ["PYYN","gl_fm","gl1020",3,"Standard Journals"],
    ["PYNN","gl_fm","gl1030",3,"Report Generator"],
    ["PYYN","gl_fm","gl1040",3,"Detail Records"],
    ["PYNN","gl_fm","gl1050",3,"Stream Records"],
    ["PYNN","gl_fm","gl1060",3,"Bank Import Control"],
    ["PYNN","gl_dc","gl2010",2,"Opening Balances",0],
    ["PYYN","gl_dc","gl2020",2,"Budgets",0],
    ["PYYY","gl_dc","gl2030",2,"Sales",1],
    ["PYYY","gl_dc","gl2030",2,"Payments",2],
    ["PYYY","gl_dc","gl2030",2,"Petty Cash",3],
    ["PYYY","gl_dc","gl2040",2,"Manual Journals",1],
    ["PYYY","gl_dc","gl2040",2,"Standard Journals",2],
    ["PYYY","gl_dc","gl2030",2,"Purchases",5],
    ["PYYY","gl_dc","gl2030",2,"Receipts",6],
    ["PYYY","gl_dc","gl2030",2,"Bank Statements",7],
    ["PYNN","gl_rp","gl3010",1,"Batch Error Listing"],
    ["PYYN","gl_rp","gl3020",1,"Transaction Audit Trail"],
    ["PYYN","gl_rp","gl3030",1,"Account Statements"],
    ["PYYN","gl_rp","gl3040",1,"Trial Balance"],
    ["PYYN","gl_rp","gl3050",1,"Financial Statements"],
    ["PYNN","gl_rp","gl3060",1,"Chart of Accounts"],
    ["PYNN","gl_rp","gl3070",1,"Notes Listing"],
    ["PYYN","gl_rp","gl3080",1,"Bank Reconciliation"],
    ["PYNN","gl_rp","gl3090",1,"Imported Bank Statements"],
    ["PYNN","gl_tb","gl6010",5,"Change Account Numbers"],
    ["PYNN","gl_tb","gl6020",5,"Copy Masterfile Records"],
    ["PYYN","gl_tb","gl6030",1,"Integrated Controls Report"],
    ["PYYN","gl_tb","gl6040",1,"Intercompany Accounts Report"],
    ["PYNN","gl_tb","gl6050",2,"Initialise Bank Reconciliation"],
    ["PYYY","gl_qy","gl4010",0,"Interrogation (Normal)"],
    ["PYYN","gl_qy","gl4020",1,"Interrogation (Financials)"]]

# Creditor's Ledger Routines
crmen = [
    ["CM","mm_cr","cr_fm","File Maintenance"],
    ["CM","mm_cr","cr_dc","Data Capture"],
    ["CM","mm_cr","cr_rp","Reporting"],
    ["CM","mm_cr","cr_tb","Toolbox"]]
crmod = [
    ["PYNY","cr_fm","crc110",5,"Control Record"],
    ["PYNY","cr_fm","cr1010",3,"Masterfile Records"],
    ["PYYY","cr_dc","cr2010",2,"Purchases",1],
    ["PYYY","cr_dc","cr2010",2,"Receipts",2],
    ["PYYY","cr_dc","cr2010",2,"Journals",3],
    ["PYYY","cr_dc","cr2010",2,"Credit Notes",4],
    ["PYYY","cr_dc","cr2010",2,"Payments",5],
    ["PYNN","cr_rp","cr3010",1,"Batch Error Listing"],
    ["PYYN","cr_rp","cr3020",1,"Transaction Audit Trail"],
    ["PYNN","cr_rp","cr3030",1,"Due for Payment Listing"],
    ["PYNN","cr_rp","cr3040",1,"Outstanding Transactions"],
    ["PYNN","cr_rp","cr3050",1,"Age Analysis"],
    ["PYNN","cr_rp","cr3060",1,"Master Listing"],
    ["PYNN","cr_rp","cr3070",1,"Reconciliation Statements"],
    ["PYNN","cr_rp","cr3080",1,"Remittance Advices"],
    ["PYNN","cr_rp","cr3090",1,"Name and Address Labels"],
    ["PYNN","cr_rp","cr3100",1,"Notes Listing"],
    ["PYNN","cr_rp","cr3110",1,"Purchases History"],
    ["PYNN","cr_tb","cr6010",5,"Change Account Numbers"],
    ["PYNN","cr_tb","cr6020",3,"Transaction Reallocations"],
    ["PYNY","mm_cr","cr4010",0,"Interrogation"]]

# Debtor"s Ledger Routines
drmen = [
    ["CM","mm_dr","dr_fm","File Maintenance"],
    ["CM","mm_dr","dr_dc","Data Capture"],
    ["CM","mm_dr","dr_rp","Reporting"],
    ["CM","mm_dr","dr_tb","Toolbox"]]
drmod = [
    ["PYNY","dr_fm","drc110",5,"Control Record"],
    ["PYNN","dr_fm","drc210",3,"Chain Stores"],
    ["PNNN","dr_fm","drc710",3,"Business Activities"],
    ["PNNN","dr_fm","drc810",3,"Business Types"],
    ["PYNN","dr_fm","drc310",3,"Areas"],
    ["PYNN","dr_fm","drc410",3,"Salesmen"],
    ["PYNN","dr_fm","drc510",3,"Delivery Addresses"],
    ["PNNN","dr_fm","drc610",3,"Messages"],
    ["PYNY","dr_fm","dr1010",3,"Masterfile Records"],
    ["PYYN","dr_fm","dr1020",3,"Recurring Charges Records"],
    ["PYYY","dr_dc","dr2010",2,"Sales",1],
    ["PYYY","dr_dc","dr2020",2,"Receipts",2],
    ["PYYY","dr_dc","dr2010",2,"Journals",3],
    ["PYYY","dr_dc","dr2010",2,"Credit Notes",4],
    ["PYYY","dr_dc","dr2010",2,"Payments",5],
    ["PYYY","dr_dc","dr2030",2,"Recurring Charges",1],
    ["PYNN","dr_rp","drc220",1,"Chain Stores Listing"],
    ["PYNN","dr_rp","drc320",1,"Areas Listing"],
    ["PYNN","dr_rp","drc420",1,"Salesmen Listing"],
    ["PYNN","dr_rp","drc520",1,"Delivery Addresses Listing"],
    ["PNNN","dr_rp","drc620",1,"Messages Listing"],
    ["PYNN","dr_rp","dr3010",1,"Batch Error Listing"],
    ["PYYN","dr_rp","dr3020",1,"Transaction Audit Trail"],
    ["PYNN","dr_rp","dr3030",1,"Due for Payment Listing"],
    ["PYNN","dr_rp","dr3040",1,"Outstanding Transactions"],
    ["PYNN","dr_rp","dr3050",1,"Age Analysis"],
    ["PYNN","dr_rp","dr3060",1,"Master Listing"],
    ["PYNN","dr_rp","dr3080",1,"Statements"],
    ["PYNN","dr_rp","dr3090",1,"Name and Address Labels"],
    ["PYNN","dr_rp","dr3100",1,"Notes Listing"],
    ["PYNN","dr_rp","dr3110",1,"Sales History"],
    ["PYNN","dr_rp","dr3120",1,"Interest Chargeable"],
    ["PYNN","dr_tb","dr6010",5,"Change Account Numbers"],
    ["PYNN","dr_tb","dr6020",3,"Transaction Reallocations"],
    ["PYNY","mm_dr","dr4010",0,"Interrogation"]]

# Stores Ledger Routines
stmen = [
    ["CM","mm_st","st_fm","File Maintenance"],
    ["CM","mm_st","st_dc","Data Capture"],
    ["CM","mm_st","st_st","Stock Take"],
    ["CM","mm_st","st_rp","Reporting"],
    ["CM","mm_st","st_tb","Toolbox"]]
stmod = [
    ["PYNY","st_fm","stc110",5,"Control Record"],
    ["PYNN","st_fm","stc210",3,"Units Of Issue"],
    ["PYNN","st_fm","stc310",3,"Product Groups"],
    ["PYNN","st_fm","stc410",3,"Locations"],
    ["PYNY","st_fm","st1010",3,"Masterfile Records"],
    ["PYNN","st_fm","st1020",3,"Selling Prices"],
    ["PYYY","st_dc","st2010",2,"Purchase Orders",0],
    ["PYYY","st_dc","st2020",2,"Goods Received Notes",0],
    ["PYYN","st_dc","st2030",2,"Goods Issued Notes",0],
    ["PYYN","st_dc","st2040",2,"Location Transfers",0],
    ["PYYN","st_st","st5010",1,"Stock Take Report"],
    ["PYNN","st_st","st5020",2,"Stock Take Returns",0],
    ["PYYN","st_st","st5030",2,"Stock Take Variance Report"],
    ["PYYN","st_st","st5040",2,"Stock Take Merge",0],
    ["PYNN","st_rp","stc220",1,"Units Of Issue Listing"],
    ["PYNN","st_rp","stc320",1,"Product Groups Listing"],
    ["PYNN","st_rp","stc420",1,"Locations Listing"],
    ["PYNN","st_rp","st3010",1,"Batch Error Listing"],
    ["PYNN","st_rp","st3020",1,"Transaction Audit Trail"],
    ["PYNN","st_rp","st3030",1,"Price Lists"],
    ["PYNN","st_rp","st3040",1,"Master Code Listing"],
    ["PYNN","st_rp","st3050",1,"Recipe Listing"],
    ["PYNN","st_rp","st3060",1,"Stock Movements"],
    ["PYNN","st_rp","st3070",1,"Purchase Orders"],
    ["PYNN","st_rp","st3080",1,"Stock On Hand"],
    ["PYYN","st_rp","st3090",1,"Stock Accounts"],
    ["PYNN","st_rp","st3100",1,"Notes Listing"],
    ["PYNN","st_rp","st3110",1,"Price Tags"],
    ["PYNN","st_rp","st3120",1,"Stock to Order"],
    ["PYNN","st_tb","st6010",5,"Change Product Codes"],
    ["PYYN","st_tb","st6020",5,"Revalue Stock Records",0],
    ["PYYY","mm_st","st4010",0,"Interrogation"]]

# Sales Invoicing Routines
simen = [
    ["CM","mm_si","si_fm","File Maintenance"],
    ["CM","mm_si","si_rp","Reporting"]]
simod = [
    ["PYNY","si_fm","sic110",5,"Control Record"],
    ["PYYY","mm_si","si2010",2,"Data Capture",0],
    ["PYNN","si_rp","si3010",1,"Oustanding Orders"],
    ["PYYN","si_rp","si3020",1,"Sales By Product"],
    ["PYYN","si_rp","si3030",1,"Period Sales By Product"],
    ["PYNN","si_rp","si3040",1,"Product Sales History"],
    ["PYNN","si_rp","si3050",1,"Sales By Customer By Product"],
    ["PYNN","si_rp","si3060",1,"Sales By Salesman"],
    ["PYNN","si_rp","si3070",1,"Salesman's Sales History"],
    ["PYNN","si_rp","si3080",1,"Reprint Documents"]]

# Assets Register
armen = [
    ["CM","mm_ar","ar_fm","File Maintenance"],
    ["CM","mm_ar","ar_dc","Data Capture"],
    ["CM","mm_ar","ar_rp","Reporting"],
    ["CM","mm_ar","ar_tb","Toolbox"]]
armod = [
    ["PYNY","ar_fm","arc110",5,"Control Record"],
    ["PYNN","ar_fm","arc210",3,"Depreciation Codes"],
    ["PYNN","ar_fm","arc310",3,"Group Records"],
    ["PYNY","ar_fm","ar1010",3,"Masterfile Records"],
    ["PYYN","ar_dc","ar2010",2,"Opening Balances"],
    ["PYYY","ar_dc","ar2020",2,"Payments",1],
    ["PYYY","ar_dc","ar2020",2,"Receipts",2],
    ["PYYY","ar_dc","ar2020",2,"Journals",3],
    ["PYYN","ar_dc","ar2030",2,"Depreciation",0],
    ["PYNN","ar_rp","arc320",1,"Groups Listing"],
    ["PYNN","ar_rp","ar3010",1,"Batch Error Listing"],
    ["PYYN","ar_rp","ar3020",1,"Transaction Audit Trail"],
    ["PYYN","ar_rp","ar3030",1,"Asset Statements"],
    ["PYYN","ar_rp","ar3040",1,"Asset Register"],
    ["PYNN","ar_rp","ar3050",1,"Notes Listing"],
    ["PYNN","ar_tb","ar6010",5,"Change Asset Codes"],
    ["PYYY","mm_ar","ar4010",0,"Interrogation"]]

# Member's Ledger
mlmen = [
    ["CM","mm_ml","ml_fm","File Maintenance"],
    ["CM","mm_ml","ml_dc","Data Capture"],
    ["CM","mm_ml","ml_rp","Reporting"],
    ["CM","mm_ml","ml_tb","Toolbox"]]
mlmod = [
    ["PYNY","ml_fm","mlc110",5,"Control Record"],
    ["PYNY","ml_fm","mlc210",3,"Category Records"],
    ["PNNN","ml_fm","mlc310",3,"Message Records"],
    ["PNNN","ml_fm","mlc410",3,"Contact Records"],
    ["PYYY","ml_dc","ml2010",2,"Invoices",1],
    ["PYYY","ml_dc","ml2010",2,"Payments",2],
    ["PYYY","ml_dc","ml2010",2,"Journals",3],
    ["PYYY","ml_dc","ml2010",2,"Credit Notes",4],
    ["PYYY","ml_dc","ml2020",2,"Receipts",5],
    ["PYNN","ml_rp","ml3010",1,"Batch Error Listing"],
    ["PYYN","ml_rp","ml3020",1,"Transaction Audit Trail"],
    ["PYNN","ml_rp","ml3030",1,"Age Analysis"],
    ["PYNN","ml_rp","ml3040",1,"Statements"],
    ["PYNN","ml_rp","ml3050",1,"Notes Listing"],
    ["PYNN","ml_rp","ml3060",1,"Category Changes"],
    ["PYLN","ml_rp","ml3070",1,"Master Report"],
    ["PYNN","ml_rp","ml3080",2,"Suspension Report"],
    ["PYNN","ml_rp","ml3090",2,"Detail Update Request"],
    ["PYNN","ml_rp","ml3100",2,"Member's Birthday Report"],
    ["PYNN","ml_rp","ml3110",2,"Name and Address Labels"],
    ["PYNN","ml_rp","ml3120",2,"Status Summary"],
    ["PYNN","ml_tb","ml6010",3,"Transaction Reallocations"],
    ["PYNN","ml_tb","ml6020",3,"Synchronise Access Control"],
    ["PYLY","mm_ml","ml1010",1,"Member Records"],
    ["PYYY","mm_ml","mlm010",4,"Month End Routine",0]]

# Rental's Ledger (Basic)
rtmen = [
    ["CM","mm_rt","rt_fm","File Maintenance"],
    ["CM","mm_rt","rt_dc","Data Capture"],
    ["CM","mm_rt","rt_rp","Reporting"],
    ["CM","mm_rt","rt_tb","Toolbox"]]
rtmod = [
    ["PYNY","rt_fm","rtc110",5,"Control Record"],
    ["PYNY","rt_fm","rtc210",3,"Premises Records"],
    ["PYNY","rt_fm","rt1010",3,"Masterfile Records"],
    ["PYYY","rt_dc","rt2010",2,"Receipts",2],
    ["PYYY","rt_dc","rt2010",2,"Payments",3],
    ["PYYY","rt_dc","rt2010",2,"Journals",4],
    ["PYNN","rt_rp","rt3010",1,"Batch Error Listing"],
    ["PYYN","rt_rp","rt3020",1,"Transaction Audit Trail"],
    ["PYNN","rt_rp","rt3030",1,"Master Listing"],
    ["PYNN","rt_rp","rt3040",1,"Statements"],
    ["PYNN","rt_rp","rt3050",1,"Notes Listing"],
    ["PYNN","rt_tb","rt6010",5,"Change Account Numbers"],
    ["PYNY","mm_rt","rt4010",1,"Interrogation"],
    ["PYNN","mm_rt","rtm010",4,"Month End Routine",0]]

# Rental's Ledger (Extended)
rcmen = [
    ["CM","mm_rc","rc_fm","File Maintenance"],
    ["CM","mm_rc","rc_rp","Reporting"],
    ["CM","mm_rc","rc_qy","Interrogation"],
    ["CM","mm_rc","rc_tb","Toolbox"]]
rcmod = [
    ["PYNY","rc_fm","rcc110",5,"Control Record"],
    ["PYNY","rc_fm","rc1010",3,"Owners Records"],
    ["PYNY","rc_fm","rc1020",3,"Premises Records"],
    ["PYNY","rc_fm","rc1030",3,"Tenants Records"],
    ["PNNN","rc_fm","rcc210",1,"Statement Messages"],
    ["PYNY","rc_fm","rcc310",1,"Interest Rates"],
    ["PYNN","rc_rp","rc3010",1,"Owners Audit Trail"],
    ["PYNN","rc_rp","rc3030",1,"Owners Master Listing"],
    ["PYNN","rc_rp","rc3050",1,"Owners Statements"],
    ["PYNN","rc_rp","rc3070",1,"Owners Notes Listing"],
    ["PYNN","rc_rp","rc3020",1,"Tenants Audit Trail"],
    ["PYNN","rc_rp","rc3040",1,"Tenants Master Listing"],
    ["PYNN","rc_rp","rc3060",1,"Tenants Statements"],
    ["PYNN","rc_rp","rc3080",1,"Tenants Notes Listing"],
    ["PYNN","rc_rp","rc3090",1,"Tenants Deposit Listing"],
    ["PNNN","rc_rp","rcc220",1,"Statement Messages"],
    ["PYNY","rc_qy","rc4010",0,"Owners Interrogation"],
    ["PYNY","rc_qy","rc4020",0,"Tenants Interrogation"],
    ["PNNN","rc_tb","rc6010",1,"CSV Masterfile Importing"],
    ["PNNN","rc_tb","rc6020",1,"CSV Transaction Importing"],
    ["PNNN","rc_tb","rc6030",1,"Check for Missing Records"],
    ["PYNY","mm_rc","rc2010",2,"Data Capture",0],
    ["PYNN","mm_rc","rcm010",4,"Month End Routine",0]]

# Salaries and Wages Routines
wgmen = [
    ["CM","mm_wg","wg_fm","File Maintenance"],
    ["CM","mm_wg","wg_dc","Data Capture"],
    ["CM","mm_wg","wg_rp","Reporting"]]
wgmod = [
    ["PYNY","wg_fm","wgc110",5,"Control Record"],
    ["PYNN","wg_fm","wgc210",3,"Branch Records"],
    ["PYNN","wg_fm","wgc310",3,"Department Records"],
    ["PNNN","wg_fm","wgc410",3,"Receiver Codes"],
    ["PYNN","wg_fm","wgc510",3,"Earning and Deduction Codes"],
    ["PYNN","wg_fm","wgc610",3,"Union Records"],
    ["PNNN","wg_fm","wgc710",3,"Payslip Messages"],
    ["PYNY","wg_fm","wg1010",3,"Employee Masterfile"],
    ["PYNY","wg_dc","wg2010",2,"Clock Cards"],
    ["PYYN","wg_dc","wg2020",2,"Payslips"],
    ["PYNN","wg_dc","wg2030",2,"Terminations"],
    ["PNNN","wg_rp","wgc420",1,"Receiver Codes Listing"],
    ["PYNN","wg_rp","wgc520",1,"Earning and Deduction Codes"],
    ["PYNN","wg_rp","wgc620",1,"Union Records Listing"],
    ["PNNN","wg_rp","wgc720",1,"Payslip Messages Listing"],
    ["PYNN","wg_rp","wg3010",1,"Employee Master Listing"],
    ["PYNN","wg_rp","wg3020",1,"Data Capture Listing"],
    ["PYNN","wg_rp","wg3030",1,"SARS EMP201 Report"],
    ["PYNN","wg_rp","wg3040",1,"Earning and Deduction Values"],
    ["PYNN","wg_rp","wg3050",1,"IRP5 Statements"],
    ["PYNN","wg_rp","wg3060",1,"Notes Listing"],
    ["PYNN","wg_rp","wg3070",1,"Payslips Reprint"],
    ["PYNY","mm_wg","wg4010",0,"Interrogation"]]

# Staff Loans Routines
slmen = [
    ["CM","mm_sl","sl_fm","File Maintenance"],
    ["CM","mm_sl","sl_dc","Data Capture"],
    ["CM","mm_sl","sl_rp","Reporting"]]
slmod = [
    ["PYNY","sl_fm","sl1010",3,"Loans Masterfile"],
    ["PYYY","sl_dc","sl2010",2,"New Loans",0],
    ["PYYY","sl_dc","sl2020",2,"Movements",0],
    ["PYYN","sl_dc","sl2030",2,"Raise Interest",0],
    ["PYNN","sl_rp","sl3010",1,"Batch Error Listing"],
    ["PYNN","sl_rp","sl3020",1,"Transaction Audit Trail"],
    ["PYNN","sl_rp","sl3030",1,"Master Listing"],
    ["PYNN","sl_rp","sl3040",1,"Statements"],
    ["PYNY","mm_sl","sl4010",0,"Interrogation"]]

# Bowls Clubs
bcmen = [
    ["CM","mm_bc","bc_cc","Club Competitions"],
    ["CM","mm_bc","bc_cl","League Selections"]]
bcmod = [
    ["PNNN","mm_bc","bc1010",0,"Club's Maintenance"],
    ["PNNN","bc_cc","bc1020",0,"Player's Maintenance"],
    ["PNNN","bc_cc","bc1030",0,"Competition Types"],
    ["PNNN","bc_cc","bc2010",0,"Capture Entries"],
    ["PNNN","bc_cc","bc2020",0,"Print Match Cards"],
    ["PNNN","bc_cc","bc3010",0,"Print Cards Summary"],
    ["PNNN","bc_cc","bc2030",0,"Change Match Cards"],
    ["PNNN","bc_cc","bc2040",0,"Capture Results"],
    ["PNNN","bc_cc","bc3020",0,"Print Game Results"],
    ["PNNN","bc_cc","bc3030",0,"Print Match Results"],
    ["PNNN","bc_cl","bc1040",0,"League Formats"],
    ["PNNN","bc_cl","bc1050",0,"Player's Maintenance"],
    ["PNNN","bc_cl","bc1060",0,"Side's Maintenance"],
    ["PNNN","bc_cl","bc2050",0,"Capture Selections"],
    ["PNNN","bc_cl","bc3040",0,"Assessment Forms"],
    ["PNNN","bc_cl","bc3050",0,"Declaration Forms"],
    ["PNNN","bc_cl","bc2060",0,"Capture Assessments"],
    ["PNNN","bc_cl","bc3060",0,"Match Assessment Report"],
    ["PNNN","bc_cl","bc3070",0,"Assessment Summary"],
    ["PNNN","bc_cl","bc2070",0,"Clear History"]]
# End
